| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_cfft_radix2_f32.c File Reference

## Functions

void | arm_radix2_butterfly_f32 (float32_t *pSrc, uint32_t fftLen, float32_t *pCoef, uint16_t twidCoefModifier)
void | arm_radix2_butterfly_inverse_f32 (float32_t *pSrc, uint32_t fftLen, float32_t *pCoef, uint16_t twidCoefModifier, float32_t onebyfftLen)
void | arm_bitreversal_f32 (float32_t *pSrc, uint16_t fftSize, uint16_t bitRevFactor, uint16_t *pBitRevTab)
void | arm_cfft_radix2_f32 (const arm_cfft_radix2_instance_f32 *S, float32_t *pSrc)
| Radix-2 CFFT/CIFFT.

## Function Documentation

void arm_bitreversal_f32 | ( | float32_t * | pSrc,
|  | uint16_t | fftSize,
|  | uint16_t | bitRevFactor,
|  | uint16_t * | pBitRevTab
| ) |  |

void arm_radix2_butterfly_f32 | ( | float32_t * | pSrc,
|  | uint32_t | fftLen,
|  | float32_t * | pCoef,
|  | uint16_t | twidCoefModifier
| ) |  |

end of ComplexFFT group

Referenced by arm_cfft_radix2_f32().

void arm_radix2_butterfly_inverse_f32 | ( | float32_t * | pSrc,
|  | uint32_t | fftLen,
|  | float32_t * | pCoef,
|  | uint16_t | twidCoefModifier,
|  | float32_t | onebyfftLen
| ) |  |

Referenced by arm_cfft_radix2_f32().